/*  (c) 2008 Benjamin Schroeter
 *  You are allowed to use this code in all your commercial, non-commercial, open and closed source projects.
 *  But you have to leave this Copyright message in all files. This code is provided "as is" without warranty of any kind.
 *  If you have any enhancements or bug reports I will appreciate a short feedback.
 *  For more information visit the article to this code on my blog at 
 *  http://www.ticklishtechs.net/2008/02/17/adding-properties-to-domain-classes-at-runtime-with-dsl-tools/ */

using System;

namespace BenjaminSchroeter.DynamicDslProperties
{
    [Serializable]
    public class DynamicProperty
    {
        public string Name { get; set; }
        public Type Type { get; set; }
        public object Value { get; set; }

        public override string ToString()
        {
            return String.Format("{0} ({1})", Name, Type);
        }
    }
}